/*----------------------------------------------------------------------------
 * Name:    7seg.h
 * Purpose: Low level 7Segment definitions
 *----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2004-2013 KEIL - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

#ifndef __7SEG_H__
#define __7SEG_H__

#include <stdint.h>

/*-----------------------------------------------------------------------------
 *      SevenSeg_Initialize:  Initialize SevenSegment Driver
 *
 * Parameters: (none)
 * Return:     (none)
 *----------------------------------------------------------------------------*/
void SevenSeg_Initialize  (void);


/*-----------------------------------------------------------------------------
 *      SevenSeg_SetSegment:  Set or Clear a Segment
 *
 * Parameters: uint8_t block - Segment Block 0 or 1
 *             uint8_t num   - Segment Number
 *             uint8_t en    - enable or disable segment
 * Return:     (none)
 *----------------------------------------------------------------------------*/
void SevenSeg_SetSegment(uint8_t block, uint8_t num, uint8_t en);

#endif
